Bug 109039 - [CLOVER][CLANG-SVN] build failure CodeGenOptions.h: No such file or directory
Summary: [CLOVER][CLANG-SVN] build failure CodeGenOptions.h: No such file or directory
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Gallium/StateTracker/Clover (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks: 99553
  Show dependency treegraph
 
Reported: 2018-12-12 11:55 UTC by LoneVVolf
Modified: 2018-12-16 11:43 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
fix (625 bytes, patch)
2018-12-12 13:00 UTC, Yurii Kolesnykov
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description LoneVVolf 2018-12-12 11:55:46 UTC
https://llvm.org/viewvc/llvm-project?view=revision&revision=348827

In llvm/clang  commit 348827 CodeGenOptions were moved from Frontend to Basic .
This breaks building mesa-git with opencl support.
Comment 1 Yurii Kolesnykov 2018-12-12 13:00:34 UTC
Created attachment 142791 [details] [review]
fix
Comment 2 Jan Vesely 2018-12-13 21:02:56 UTC
(In reply to Yurii Kolesnykov from comment #1)
> Created attachment 142791 [details] [review] [review]
> fix

Have you tested the patch with LLVM-7? It looks like it would fail the build.
Comment 3 Kai 2018-12-15 16:59:52 UTC
I stumbled across this issue as well and didn't check the bug tracker but immediately prepared [0]. That patch should fix this problem without leaving older LLVM versions out in the cold.


[0] <https://patchwork.freedesktop.org/patch/268295/>
Comment 4 Jan Vesely 2018-12-16 11:43:48 UTC
Fixed in e4f9a37ace750646fd75fbbdff9b5e77a0b26cfb.

clover: Fix build after clang r348827
    
    CodeGenOptions were moved to Basic.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.